complexType "DividendLeg"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 18 elements
Defined: | globally in fpml-dividend-swaps-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, effectiveDate?, terminationDate?, underlyer?, settlementType?, settlementDate?, (settlementAmount | settlementCurrency)?, fxFeature?, declaredCashDividendPercentage?, declaredCashEquivalentDividendPercentage?, dividendPeriod*, specialDividends?, materialDividend?
</...>

Content Model Elements (18):

  declaredCashDividendPercentage,
  declaredCashEquivalentDividendPercentage,
  dividendPeriod (in dividendLeg),
  effectiveDate (defined in DirectionalLeg complexType),
  fxFeature (defined in DirectionalLegUnderlyer complexType),
  legIdentifier,
  materialDividend,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  settlementCurrency (defined in SettlementAmountOrCurrency.model group),
  settlementDate (defined in OptionSettlement.model group),
  settlementType (defined in OptionSettlement.model group),
  specialDividends (in dividendLeg),
  terminationDate (defined in DirectionalLeg complexType),
  underlyer (defined in DirectionalLegUnderlyer complexType)

All Direct / Indirect Based Elements (1):

  dividendLeg

Known Usage Locations

- As direct type of elements (1):
  dividendLeg

Annotation
Floating Payment Leg of a Dividend Swap.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) DirectionalLegUnderlyer (extension) DividendLeg

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="DividendLeg"> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyer"> <xsd:sequence> <xsd:group ref="DeclaredCashAndCashEquivalentDividendPercentage.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dividendPeriod" type="DividendPeriodPayment"/> <xsd:element minOccurs="0" name="specialDividends" type="xsd:boolean"/> <xsd:element minOccurs="0" name="materialDividend" type="xsd:boolean"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/18)
dividendPeriod

  Type: | DividendPeriodPayment, complex content

  One to many time bounded dividend payment periods, each with a fixed strike and dividend payment date per period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="dividendPeriod" type="DividendPeriodPayment"/>

materialDividend

  Type: | xsd:boolean, predefined, simple content

  If present and true, then material non cash dividends are applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="materialDividend" type="xsd:boolean"/>

specialDividends

  Type: | xsd:boolean, predefined, simple content

  If present and true, then special dividends and memorial dividends are applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="specialDividends" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.